//
//  CallKitManager.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2023/1/31.
//

#import <Foundation/Foundation.h>
#import "CallKit/CallKit.h"
#import "PushKit/PushKit.h"
NS_ASSUME_NONNULL_BEGIN

@interface CallKitManager : NSObject<CXProviderDelegate,PKPushRegistryDelegate>

-(void)setInitConfig:(NSDictionary *)configMap;

-(BOOL)isContainInitConfig;

+(CallKitManager *)getInstance;

+(void)isProduct:(bool) isProduct;

-(void)enableVoIP;

-(void)isSetEvent:(BOOL)isSetEvent;

-(void)reportIncomingCallWithTitle:(NSDictionary *)updateMap UUID:(NSString *)uuidString completion:(void (^)(NSError *_Nullable error))completion;

- (void)reportCallEndedWithUUID:(NSString *)uuidSring reason:(CXCallEndedReason)endedReason;

-(void)reportCallUpdateWithUUID:(NSDictionary *)updateMap UUID:(NSString *)uuidString;

-(void)reportOutgoingCallWithUUID:(NSString *)uuidString;

-(void)ActionFail:(NSString *)seq;

-(void)ActionFullFill:(NSString *)seq;

@end

NS_ASSUME_NONNULL_END
